package org.springblade.common.enums;


import lombok.Getter;

@Getter
public enum RedMoneySourceEnum {

	RECEIVING_RED("红包领取", 1,1),
	WITHDRAWAL_FAILED("驳回申请", 2,1),
	WITHDRAWAL_REVOKE("撤回申请", 3,1),
	GOODS_REFUND("商品退款", 4,1),
	WITHDRAWAL("申请提现", 5,2),
	WITHDRAWAL_SUCCEED("提现成功", 6,2),
	BUY_GOODS("购买商品", 7,2);

	private String name;
	private Integer value;
	private Integer type; //1：收入，2：支出

	RedMoneySourceEnum(String name, Integer value,Integer type) {
		this.name = name;
		this.value = value;
		this.type = type;
	}


}
